Skip to content
Navigation

Lists the business's payouts.

GET
https://api.sherpo.io/merchant/v1/stores/{store}/payouts

Authorization

  • bearer
    HTTP
    required

Path parameters

  • store
    string
    required

    The store's id.

Query parameters

  • limit
    optional
    integer
    maximum: 100 · minimum: 1
  • cursor
    optional
    string
    maxLength: 255 · minLength: 1 · pattern: ^po_[A-Za-z0-9]+$
  • filter
    optional
    object

    filter[<field>]=<value> is an equality, filter[<field>][<op>]=<value> names the operator; in repeats the parameter.

Returns

200

Lists the business's payouts.

JSON
  • items
    array of
    object
    required
    • id
      string
      required
    • amount
      required

      One of the following:

      • number
      • null
    • currency
      string
      required
    • exponent
      required

      One of the following:

      • number
      • null
    • status
      string
      required
    • method
      string
      required
    • type
      string
      required
    • arrives_at
      string
      required
    • created_at
      string
      required
    • destination
      required

      One of the following:

      • object
      • object
      • null
    • statement_descriptor
      required

      One of the following:

      • string
      • null
    • failure_message
      required

      One of the following:

      • string
      • null
  • cursor
    required

    One of the following:

    • string
    • null
  • total
    optional
    number
  • facets
    optional
    map of
    map<number>
JSON
  • type
    string
    required
    format: uri
  • title
    string
    required
  • status
    integer
    required
  • detail
    string
    required
  • code
    optional
    string
  • context
    optional
    object
  • reached_core
    optional
    boolean
  • core_answer
    optional
    string

Type to search…

↑↓ navigate↵ selectEsc close